FreeBSD : vlc -- unintended code execution with specially crafted data (752ce039-5242-11df-9139-00242b513d7c)

Medium Nessus Plugin ID 46214


The remote FreeBSD host is missing a security-related update.


VideoLAN project reports :

VLC media player suffers from various vulnerabilities when attempting to parse malformatted or overly long byte streams.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 46214

File Name: freebsd_pkg_752ce039524211df913900242b513d7c.nasl

Version: $Revision: 1.10 $

Type: local

Published: 2010/05/03

Modified: 2015/01/19

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:vlc, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2010/05/01

Vulnerability Publication Date: 2010/04/19

Reference Information

BID: 39629